/*
 * Created on 05.03.2009 by Johannes Textor
 * This Code is licensed under the BSD license:
 * http://www.opensource.org/licenses/bsd-license.php
 */
package examples;

import infoatools.*;

public class GraphicsExample2 {
	public static void main(String[] args) {
		// neues Fenster oeffnen, 400 mal 400 Pixel gross
		Window w = new Window(400, 200, "Mein Fenster");

		w.drawString("Bitte auf eine der Zahlen klicken!",100,50);
		
		// schreibe Zahlen von 1 bis 9 in das Fenster
		for( int i = 1 ; i <= 9 ; i ++ ){
			// 1. male ein Rechteck
			w.setColor(80,80,80);
			w.drawRect(45+i*30,80,20,20);
			// 2. schreibe die aktuelle Zahl an die gleiche
			// Stelle
			w.drawString( ""+i, 50+i*30, 95 );
		}
		
		int number_clicked = 0;
		while( number_clicked == 0 ){
			// Warte auf Mausklick, hole die Koordinaten
			int[] click = w.waitForClick();
			// click[0] enthält jetzt die X-, click[1] die
			// Y-Koordinate des Mausklicks
			System.out.println("Koordinaten: "+click[0]+","+click[1]);
			
			// Teste nun für jedes Rechteck, ob die Koordinaten in 
			// diesem Rechteck liegen
			for( int i = 1 ; i <= 9 ; i ++ ){
				if( click[0] >= 45+i*30 && click[0] <= 65+i*30 
						&& click[1] >= 80 && click[1] <= 100 ){
					// Klick liegt im Rechteck, das zur Zahl i 
					// gehört. Speichere diese Zahl ... 
					number_clicked = i;
					// ... und brich die for-Schleife ab!
					break;
				}
			}			
		}
		System.out.println("Du hast auf folgende Zahl geklickt: "+ number_clicked);
	}
}
