/*
 * Created on 05.03.2009 by Johannes Textor
 * This Code is licensed under the BSD license:
 * http://www.opensource.org/licenses/bsd-license.php
 */
package examples;

import infoatools.*;

public class IOExample2 {
	public static void main(String[] args) {
		/* Begrüßung ausgeben */
		System.out.println("Herzlich Willkommen beim Zahlen-Raten!");
		System.out.println("");
		/* Eine Zahl raten und in einen String umwandeln */
		String zahl = "" + (Math.round(Math.random() * 9) + 1);
		/* Eine Datei anlegen, in die die Eingaben des Benutzers 
		 * geschrieben werden. Da immer nur eine Zeile auf einmal
		 * geschrieben wird, legen wir hier ein Array der Länge 1 an.
		 */
		String[] ausgabe = new String[1];
		ausgabe[0] = "Du hast folgende falschen Zahlen eingegeben:";
		/* Mit der Methode "writeToFile" wird die Datei angelegt, 
		 * falls sie noch nicht existiert. Ansonsten wird sie 
		 * überschrieben. 
		 */
		SimpleIO.writeToFile("benutzereingaben.txt", ausgabe );
		/*
		 * Den Benutzer so lange nerven, bis die richtige Zahl eingegeben wurde
		 */
		System.out.print("Ich denke gerade an eine Zahl zwischen 1 und 10. Welche ist es? > ");
		String antwort = SimpleIO.readLine();
		while (!antwort.equals(zahl)) {
			/* Die Antwort war falsch. In die Datei speichern. */
			ausgabe[0] = antwort;
			/* Diesmal benutzen wir die Methode "appendToFile", damit
			 * der bisherige Inhalt der Datei nicht überschrieben wird. */
			SimpleIO.appendToFile("benutzereingaben.txt", ausgabe );
			/* Nun fragen wir den Benutzer nach der nächsten Zahl. */
			System.out.print("Falsch! Nochmal raten! > ");
			antwort = SimpleIO.readLine();
		}
		/* Der Benutzer hat richtig geraten! */
		System.out.println("Richtig!");
		/* Jetzt sagen wir ihm/ihr noch, welche Zahlen zuvor eingegeben wurden. */
		String[] dateinhalt = SimpleIO.readFile("benutzereingaben.txt");
		/* Wenn das Öffnen geklappt hat ... */
		if (dateinhalt != null) {
			/* ... dann gib den Inhalt aus. */
			for (int i = 0; i < dateinhalt.length; i++) {
				System.out.println(dateinhalt[i]);
			}
		}
	}
}
