import greenfoot.Greenfoot; // We import the Greenfoot namespace for the random number generator.

import java.lang.Math;

/* This class implements a brain which does absoloutely nothing.
*/

public class StandingBrain extends Brain {

    private int direction = EAST;

    public void init() {
        this.creature.setCreatureImage("turtle2.png");
    }

    public void think() {
        /* First, we look a the current field to see if there is something to
         eat here.
         Looking at the field where the creature stands does not cost
         anything, so this is generally a good idea. */
        Thing[] here = this.creature.lookAround(0);
        boolean somethingToEat = false;
        for (Thing t : here) {
            if (t.getType() == Thing.PLANT) {
                somethingToEat = true;
            }
        }
    }

    private double distance(int ax, int ay, int bx, int by) {
        int dx = ax - bx;
        int dy = ay - by;
        return Math.sqrt(dx * dx + dy * dy);
    }

    public String getName() {
        return "StandingBrain";
    }

}
