public class TutorialBrain2 extends Brain {

    public void init() {
        this.creature.setCreatureImage("snake2.png");
    }

    public void think() {
        Thing[] things = this.creature.lookAround(0);  // Get all things from the current cell
        for(int i=0; i<things.length; i++) {
            Thing t = things[i];
            if(t.getType() == Thing.PLANT) { // If one of the things is a plant...
                this.creature.eat();         // ... our action this turn is to eat.

                int energy = this.creature.getEnergy();        // Get and display our
                int maxEnergy = this.creature.getMaxEnergy();  // new energy level.
                this.creature.say("New energy level: [" + energy + "/" + maxEnergy + "]");
                
                // We return from the method, because we do not want to move in this turn.
                return;
            }
        }

        this.creature.move(EAST);  // Otherwise just move to the given direction.
    }

    public String getName() {
        return "Tutorial Brain 3";
    }
}
