public class TutorialBrain3 extends Brain {

    public void init() {
        this.creature.setCreatureImage("snake2.png");
    }

    public void think() {
        // No difference to TutorialBrain3 for the first part.
        Thing[] things = this.creature.lookAround(0);
        for(int i=0; i<things.length; i++) {
            Thing t = things[i];
            if(t.getType() == Thing.PLANT) {
                this.creature.eat();
                int energy = this.creature.getEnergy();
                int maxEnergy = this.creature.getMaxEnergy();
                this.creature.say("New energy level: [" + energy + "/" + maxEnergy + "]");
                return;
            }
        }

        // New code starts here

        int x = this.creature.getX();  // Get the current position of
        int y = this.creature.getY();  // our animal.

        things = this.creature.lookAround(1);  // Get all things within a range of one cell around us.
        boolean east = true;
        for(int i=0; i<things.length; i++) {
            Thing t = things[i];
            if(t.getType() == Thing.ROCK || t.getType() == Thing.WATER) {  // If we see an obstacle,
                if(x + 1 == t.getX() && y == t.getY()) {  // and the obstacle is one cell to the east
                    east = false;                         // of us, we do not want to move there.
                }
            }
        }

        if(east) { this.creature.move(EAST); }  // If we can move to the east, we move there.
        else { this.creature.move(NORTH); }     // Otherwise we try to move north.
    }

    public String getName() {
        return "Tutorial Brain 4";
    }
}
