/*
 * Created on 05.03.2009 by Johannes Textor
 * This Code is licensed under the BSD license:
 * http://www.opensource.org/licenses/bsd-license.php
 */
package infoatools;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.image.BufferedImage;

import javax.swing.JFrame;

public class SimpleCanvas extends JFrame implements MouseListener {

	private static final long serialVersionUID = 1L;

	private Image img = null;
	boolean clicked = false;
	int mx = 0, my = 0;

	//private int[] pixels;
	//private int width, height;

	public SimpleCanvas() {
		this(300, 200);
	}

	public SimpleCanvas(int width, int height) {
		setVisible(true);
		setSize(width, height);
		img = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
	}

	public void paint(Graphics g) {
		if (img != null)
			g.drawImage(img, 0, 0, null);
	}

	public Image getImage() {
		return img;
	}

	public void mouseClicked(MouseEvent arg0) {
		clicked = true;
		mx = arg0.getX();
		my = arg0.getY();
	}
	
	public int[] waitForClick(){
		clicked = false;
		while( !clicked ){
			try {
				Thread.sleep(250);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
		int[] r = new int[2];
		r[0] = mx; r[1] = my;
		return r;
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent arg0) {
	}

	public void mousePressed(MouseEvent arg0) {		
	}

	public void mouseReleased(MouseEvent arg0) {
	}
}
